Bug 130411 - chkconfig --add ypserv does not add ypserv
chkconfig --add ypserv does not add ypserv
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: chkconfig (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-20 01:50 EDT by Joachim Backes
Modified: 2014-03-16 22:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 12:22:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2004-08-20 01:50:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
Trying to add ypserv link to /etc/rc5.d using the chkconfig command
fails, nothing is added to /etc/rc.d/rc5.d after

chkconfig --add ypserv.

chkconfig --list ypserv
ypserv          0:off   1:off   2:off   3:off   4:off   5:off   6:off


Version-Release number of selected component (if applicable):
chkconfig-1.3.9-1.1

How reproducible:
Always

Steps to Reproduce:
1.chkconfig --add ypserv
2.chkconfig --list ypserv
3.
    

Actual Results:  ypserv          0:off   1:off   2:off   3:off   4:off
  5:off   6:off

Expected Results:  ypserv          0:off   1:off   2:on   3:on   4:on
  5:on   6:off

Additional info:
Comment 1 Bill Nottingham 2004-08-20 12:22:56 EDT
chkconfig --add adds links for the default state.

The default state for ypserv is disabled; use:

 chkconfig --level <whatever> ypserv on

to enable it.
Comment 2 Joachim Backes 2004-08-23 01:18:07 EDT
Using the --level option makes the entry!

But: The header of /etc/init.d/ypserv looked like:

# chkconfig: 2345 26 74

Does this mean the 2,3,4,5 are the default init states? How can I find
out the default state of such a service?
Comment 3 Bill Nottingham 2004-08-23 15:06:49 EDT
Hm, ypserv here has # chkconfig: - 26 74; this means default to off.

Note You need to log in before you can comment on or make changes to this bug.